@if (data(); as data) {
  <div [ngClass]="['list-indicator', jds.card, jds.mb(20)]">
    <div [ngClass]="[jds.cardHeader, jds.py(15)]">
      <div
        [ngClass]="[
          jds.d('flex'),
          jds.alignItems('start'),
          jds.justifyContent('between'),
          jds.mb(10)
        ]"
      >
        <a
          [style.fontFamily]="'Roboto'"
          [ngClass]="[jds.fw('bold')]"
          [routerLink]="['/indicator/detail', data.id]"
        >
          {{ data.name }}
        </a>

        <div [ngClass]="[jds.d('flex'), jds.alignItems('center'), jds.ms(26)]">
          @for (classification of data.history_class; track $index) {
            <span
              [colorScheme]="getClassification(classification.id_class).bgColor"
              [ngClass]="[jds.ms(8)]"
              jdsBiBadge
            >
              {{ classification.name }}
            </span>
          }

          <!-- Action -->
          @if (
            isAction() &&
            (satudataUser.role_name === 'walidata' ||
              satudataUser.role_name === 'opd')
          ) {
            <jds-bi-hosted-dropdown
              [(open)]="isDropdown"
              [jdsBiDropdownLimitWidth]="'auto'"
              [jdsBiDropdownAlign]="'right'"
              [content]="dropdown"
            >
              <button
                [ngClass]="[jds.py(7), jds.ms(10)]"
                type="button"
                jdsBiButton
                size="sm"
                colorScheme="gray"
                isIconOnly="true"
                variant="outline"
              >
                <jds-bi-icon
                  [size]="12"
                  name="ellipsis"
                />
              </button>
            </jds-bi-hosted-dropdown>

            <ng-template #dropdown>
              <ul [ngClass]="[jds.dropdownMenu, jds.minW(150)]">
                @switch (status()) {
                  @case ('active') {
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        [routerLink]="['/my-indicator/edit/', data.id]"
                        [queryParams]="{
                          page: activePath,
                          status: 'approve-active'
                        }"
                      >
                        Ubah
                      </a>
                    </li>
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        (click)="onArchive(data.id)"
                      >
                        Arsipkan
                      </a>
                    </li>
                  }
                  @case ('archive') {
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        (click)="onActive(data.id)"
                      >
                        Aktifkan
                      </a>
                    </li>
                  }
                }
              </ul>
            </ng-template>
          }
        </div>
      </div>

      <div>
        <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
          <!-- Indikator Diperbarui -->
          <div
            [ngClass]="[jds.me(16)]"
            [popperPlacement]="'top'"
            [popperTrigger]="'hover'"
            popper="Indikator Diperbarui"
          >
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="calendar"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="0.5"
                [style.lineHeight.px]="23"
              >
                {{ moment(data.mdate).locale('id').format('DD MMMM YYYY') }}
              </span>
            </div>
          </div>

          <!-- Kategori -->
          <div
            [ngClass]="[jds.me(16)]"
            [popperPlacement]="'top'"
            [popperTrigger]="'hover'"
            popper="Kategori"
          >
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="cabinet-filing"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="0.5"
                [style.lineHeight.px]="23"
              >
                {{ data.category_name }}
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div [ngClass]="[jds.cardBody, jds.py(15), jds.px(24)]">
      <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
        <!-- Organisasi -->
        <div
          [ngClass]="[jds.me(18)]"
          [popperPlacement]="'top'"
          [popperTrigger]="'hover'"
          popper="Organisasi"
        >
          <a [routerLink]="['/organization', data.id_skpd]">
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="building"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="0.5"
                [style.lineHeight.px]="23"
              >
                {{ data.nama_skpd }}
              </span>
            </div>
          </a>
        </div>

        <!-- Organisasi Sub -->
        @if (data.nama_skpdsub) {
          <div
            [ngClass]="[jds.me(18)]"
            [popperPlacement]="'top'"
            [popperTrigger]="'hover'"
            popper="Bidang"
          >
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="briefcase"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="0.5"
                [style.lineHeight.px]="23"
              >
                {{ data.nama_skpdsub | titlecase }}
              </span>
            </div>
          </div>
        }

        <!-- Jumlah Dilihat -->
        <div
          [ngClass]="[jds.me(18)]"
          [popperPlacement]="'top'"
          [popperTrigger]="'hover'"
          popper="Jumlah Dilihat"
        >
          <div
            [ngClass]="[jds.d('flex')]"
            [style.verticalAlign]="'middle'"
          >
            <jds-bi-icon
              [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
              name="eye"
            />
            <span
              [ngClass]="[jds.fs(14)]"
              [style.position]="'relative'"
              [style.top.px]="0.5"
              [style.lineHeight.px]="23"
            >
              {{ data.count_view | number: '1.0-0' : 'id' }}
            </span>
          </div>
        </div>

        <!-- Jumlah Diunduh -->
        <div
          [ngClass]="[jds.me(16)]"
          [popperPlacement]="'top'"
          [popperTrigger]="'hover'"
          popper="Jumlah Diunduh"
        >
          <div
            [ngClass]="[jds.d('flex')]"
            [style.verticalAlign]="'middle'"
          >
            <jds-bi-icon
              [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
              name="circle-down"
            />
            <span
              [ngClass]="[jds.fs(14)]"
              [style.position]="'relative'"
              [style.top.px]="0.5"
              [style.lineHeight.px]="23"
            >
              {{ data.count_access | number: '1.0-0' : 'id' }}
            </span>
          </div>
        </div>
      </div>
    </div>
  </div>
}
